<template>
    <div class="uk-width-1-3@m">
        <table class="uk-table uk-table-middle uk-table-small uk-table-divider">
            <tr>
                <td>Nouveaux problèmes</td>
                <td>{{ suivi.totalNouveauxProblemes }}</td>
            </tr>
            <tr>
                <td>Révisions</td>
                <td>{{ suivi.totalCartesRevisions }}</td>
            </tr>
            <tr>
                <td>Problèmes connus</td>
                <td>{{ suivi.nombreDeProblemesConnus }}</td>
            </tr>
            <tr>
                <td>Total des problèmes</td>
                <td>{{ suivi.totalProblemes }}</td>
            </tr>
        </table>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';

@Component
export default class InformationSuivi extends Vue {
    @Prop() private suivi: Record<string, any>;
}
</script>
